Public Class usrCntlKundeFiskaldaten

    Dim FISKAL As cFiskal_Daten = Nothing
    Public KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert = Nothing

    Dim KundenNr As Integer

    Sub New()
        InitializeComponent()
    End Sub


    Sub New(KundenNr)
        InitializeComponent()
        Me.KundenNr = KundenNr
        loadKdData()
    End Sub

    Sub New(FISKAL As cFiskal_Daten, KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert)
        InitializeComponent()
        Me.KundenNr = KundenNr
        Me.KUNDE_ERW = KUNDE_ERW
        Me.FISKAL = FISKAL
    End Sub

    Sub loadKdData() 'ACHTUNG : Nicht in Kundenblatt verwenden, da sonst Daten überschrieben werden.
        FISKAL = New cFiskal_Daten(KundenNr)
        KUNDE_ERW = New VERAG_PROG_ALLGEMEIN.cKundenErweitert(KundenNr)
    End Sub

    Sub loadinClass(ByRef FISKAL As cFiskal_Daten, ByRef KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert)
        ' ----- Fiskaldaten -----
        FISKAL.fisk_schreibenCMR = cbxCMR.Checked
        FISKAL.fisk_schreibenFA = cbxFA.Checked
        FISKAL.fisk_schreibenSB = cbxSB.Checked
        FISKAL.fisk_schreibenSB_Adr = txtSB.Text
        FISKAL.fisk_schreibenFA_Adr = txtFA.Text
        FISKAL.fisk_schreibenFA_Mail = txtEmail_FA.Text
        FISKAL.fisk_schreibenSB_Mail = txtEmail_Stb.Text

        ' ----- Kd-Daten -----
        KUNDE_ERW.kde_FirmenwortlautFiskal = txtAbweichndeFiskalAdresse.Text
    End Sub
    Sub initFiskal()

        ' ---------- Fiskaldaten ---------- 
        If FISKAL IsNot Nothing Then
            cbxCMR.Checked = FISKAL.fisk_schreibenCMR
            cbxFA.Checked = FISKAL.fisk_schreibenFA
            cbxSB.Checked = FISKAL.fisk_schreibenSB

            txtSB.Text = FISKAL.fisk_schreibenSB_Adr
            txtFA.Text = FISKAL.fisk_schreibenFA_Adr

            txtEmail_FA.Text = FISKAL.fisk_schreibenFA_Mail
            txtEmail_Stb.Text = FISKAL.fisk_schreibenSB_Mail
        End If


        ' ----- Kd-Daten -----
        If FISKAL IsNot Nothing Then
            txtAbweichndeFiskalAdresse.Text = If(KUNDE_ERW.kde_FirmenwortlautFiskal, "")
        End If
    End Sub

    Public Function SAVE() As Boolean 'ACHTUNG : Nicht in Kundenblatt verwenden, da sonst Daten überschrieben werden.
        loadinClass(FISKAL, KUNDE_ERW)
        If KUNDE_ERW.SAVE() And FISKAL.SAVE Then
            Return True
        End If
        Return False
    End Function


    Private Sub cbxSB_CheckedChanged(sender As Object, e As EventArgs) Handles cbxSB.CheckedChanged
        txtSB.Enabled = sender.Checked
    End Sub

    Private Sub cbxFA_CheckedChanged(sender As Object, e As EventArgs) Handles cbxFA.CheckedChanged
        txtFA.Enabled = sender.Checked
    End Sub

    Private Sub usrCntlKundeFiskaldaten_Load(sender As Object, e As EventArgs) Handles Me.Load
        initFiskal()
    End Sub

    Sub initFiskal(FISKAL As cFiskal_Daten, KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert)
        Me.KundenNr = KundenNr
        Me.KUNDE_ERW = KUNDE_ERW
        Me.FISKAL = FISKAL

        initFiskal()
    End Sub

End Class
